<h1><?= $this->title; ?></h1>
<?php
if (!empty($this->groups)) {
    include_once 'i_search.phtml';  
}
if ($this->notice) {
    include 'i_notice.phtml';
}
include 'i_page.phtml';
if (!empty($this->products)) {    
    $cart = new Zend_Session_Namespace('Cart');
    $client = new Zend_Http_Client(); 
    $i = 1;
    $j = 1;
    $line = 0;
    foreach ($this->products as $value) {
        if ($value['status'] == 'neaktivni') {
            //nezobrazit neaktivni
        } else {
            if ($j == 3) {
                $last = 'last';
                $j = 1;
            } else {
                $last = '';
                $j++;
            }
            ?>
            <div class="product-var1 <?= $last ?>">
                <a name="<?= $line ?>"></a>
                <a href='/<?= $this->alias ?>/<?= $value['alias'] ?>' class="product-title">
                <?= $value['title'] ?><br/>
                </a>
                <div class="product-imageholder border-style">
                    <img id='box-<?= $value['product_id'] ?>' src='/graphics/kosik.png' class='cart-image' <?= (isset($cart->$value['product_id'])) ? '' : "style='display: none'" ?> />
                    <div id='count-<?= $value['product_id'] ?>' class='cart-number glow' <?= (isset($cart->$value['product_id'])) ? '' : "style='display: none'" ?>><?= isset($cart->$value['product_id']) ? $cart->$value['product_id']->quantity : 0 ?></div>
                    <?= (isset($cart->$value['product_id'])) ? "" : "" ?>
                    <?php 
                    $client->setUri(IMG_URL . 'images/eshop_products/m/' . $value['product_id'] . '.jpg');
                    $response = $client->request(); 
                    $headers = $response->getHeaders(); 
                    if (isset($headers['Content-type']) && stristr($headers['Content-type'], 'image')) { ?>
                    <a href='/<?= $value['alias'] ?>'>
                        <img src="<?= IMG_URL ?>images/eshop_products/m/<?= $value['product_id'] ?>.jpg" class="product-image" alt='<?= $value['title'] ?>' />
                    </a>
                    <?php } else { ?>
                    <a href='/<?= $value['alias'] ?>'>
                        <img src="<?= IMG_URL ?>images/eshop_products/m/default-1.jpg" class="product-image">
                    </a>
                    <?php } ?>                    
                </div>
                <div class='product-info-holder'>
                    ID: <?= $value['product_id'] ?><br/>
                    <?php 
                    if (!empty($value['producer'])) {
                        echo "Výrobce: " . $value['producer'] . "<br/>";
                    }
                    if (($this->size == 'velikost') && !empty($value['size'])) {
                        echo (!empty($value['size'])) ? "velikost: ".$value['size']."<br/>" : "";
                    } else if (!empty($value['size'])) {
                        echo "Objem: ". $value['size'] . " l<br/>";
                    }?> 
                    Cena: <?= $value['price'] ?>,- kč<br/>
                    <div class='product-text-holder' style='font-size: <?php if (strlen($value['text']) > 100) { echo '9px'; } else if (strlen($value['text']) > 70) { echo '10px'; } else if (strlen($value['text']) > 40) { echo '12px'; } else { echo '13px'; } ?>'>
                        <?= strip_tags($value['text']) ?><br/>
                    </div>
                </div>
                <?php if ($value['status'] == '1') { ?>             
                <input type='text' name='quantity' value='1' id='quantity-<?= $value['product_id']; ?>'style='width: 20px'/>
                <button type="button" class='bg-green border-style shadowout-lite active' style='width: 160px;' onClick="javascript: addProductToCart('<?= $value['product_id']; ?>', '<?= $value['price']; ?>');" value='Přidat'>Přidat</button>
                <?php } else { ?>
                <div class='bg-red border-style shadowout-lite center' style='width: 170px; font-weight: bold'>není na skladě</div>
                <?php } ?>
            </div>
            <?php
            if ($i == 3) {
                echo "<div class='clear'></div>";
                $i = 1;
                $line++;
            } else {
                $i++;
            }  
        } 
    }
    include 'i_page.phtml';
}
